<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>耗材出库管理</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport"
          content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="../../layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="../../layuiadmin/style/admin.css" media="all">
    <style type="text/css">
    .LAY-btns .layui-nav {padding-left:0;padding-right:10px;top:-4px;margin: 0 10px;border: 0;background-color: #009688;}
    .LAY-btns .layui-nav .layui-nav-item{line-height: 30px;}
    .LAY-btns .layui-nav .layui-nav-child{top:34px;}
    .LAY-btns .layui-nav .layui-nav-bar{display: none;}
    .LAY-btns .layui-nav .layui-nav-child dd.layui-this a{color:#333;background-color:#fff;}
    .LAY-btns .layui-nav .layui-nav-child dd.layui-this a:hover {background-color: #f2f2f2;color: #000;}
    </style>
</head>
<body>
  <div class="layui-fluid">
    <div class="layui-card">
        <div class="layui-card-body" pad15>
            <div class="layui-row layui-col-space15">
                <div class="layui-col-md12">

                <div class="LAY-btns" style="margin-bottom: 10px;">
                    <button class="layui-btn layui-btn-sm" data-permission="material.add_consumable_deliver" id="btn_add"><i class="layui-icon layui-icon-add-1"></i>添加</button>
                    <button class="layui-nav" data-permission="material.export_consumable_deliver">
                        <div class="layui-nav-item">
                            <a href="javascript:;" style="color:#fff;">导出</a>
                            <dl class="layui-nav-child"> <!-- 二级菜单 -->
                                <dd><a href="#" id="btn_export">导出列表</a></dd>
                                <dd><a href="#" id="btn_export_detail">导出明细</a></dd>
                            </dl>
                        </div>
                    </button>
                    <button class="layui-nav" data-permission="material.print_consumable_deliver">
                        <div class="layui-nav-item">
                            <a href="javascript:;" style="color:#fff;">打印</a>
                            <dl class="layui-nav-child"> <!-- 二级菜单 -->
                                <dd><a href="#" id="btn_print">出库单</a></dd>
                                <dd><a href="#" id="btn_print_use">领用单</a></dd>
                            </dl>
                        </div>
                    </button>
                    <button class="layui-btn layui-btn-sm" id="btn_query" data-permission="material.view_consumable_deliver"><i class="layui-icon layui-icon-search"></i>查询</button>
                </div>
                <table class="layui-hide" id="datagrid" lay-filter="datagrid-operate"></table>
                <script type="text/html" id="datagrid-operate-bar">
                    <div class="layui-btn-group">
                    <a class="layui-btn layui-btn-xs" data-permission="material.view_consumable_deliver" lay-event="detail">查看</a>
                    {{# if(d.status == 0){ }}
                    <a class="layui-btn layui-btn-xs" lay-event="edit" data-permission="material.add_consumable_deliver">修改</a>
                    <a class="layui-btn layui-btn-danger layui-btn-xs" lay-event="del" data-permission="material.delete_consumable_deliver">删除</a>
                    <a class="layui-btn layui-btn-xs" lay-event="check" data-permission="material.check_consumable_deliver">审核</a>
                    {{# } }}
                    </div>
                </script>
            </div>
        </div>
    </div>
    </div>
</div>
<div id="dlg_query" style="display: none">
    <div class="layui-card-body" pad15>
        <form class="layui-form" lay-filter="query-form-element">
            <div class="layui-row layui-col-space10 layui-form-item">
                <div class="layui-col-xs12 layui-col-sm12">
                    <label class="layui-form-label">出库单号：</label>
                    <div class="layui-input-block">
                        <input type="text" name="no" autocomplete="off" class="layui-input">
                    </div>
                </div>
                <div class="layui-col-xs12 layui-col-sm12">
                    <label class="layui-form-label">产品备注：</label>
                    <div class="layui-input-block">
                        <input type="text" name="product_notes" autocomplete="off" class="layui-input">
                    </div>
                </div>
            </div>
            <div style="display: none">
                <button id="query-submit" lay-submit lay-filter="query-form-element">查询</button>
            </div>
        </form>
    </div>
</div>

<script src="../../layuiadmin/layui/layui.js?t=1"></script>
<script>
    var _params = '';
    layui.config({
        base: '../../../layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index', //主入口模块
        utils: 'utils'
    }).use(['index', 'table', 'laydate', 'form', 'utils'], function () {
        var $ = layui.$;
        var table = layui.table
            , form = layui.form
            , utils = layui.utils;
        var is_has = utils.isHasPermissions('material.view_consumable_cost');
        var cols = [];
        cols.push({type: 'checkbox', width: 50});
        cols.push({field: 'no', title: '出库单号', width: 140});
        cols.push({field: 'goods_text', title: '成品', width: 150});
        cols.push({field: 'receiver_text', title: '领用人', width: 100});
        cols.push({field: 'receiver_department_text', title: '领用部门', width: 120});
        cols.push({field: 'warehouse_text', title: '仓别', width: 130});
        cols.push({field: 'total_count', align:'right', title: '合计数量', width: 120});
        if (is_has){
            cols.push({field: 'total_cost', align:'right', title: '合计成本', width: 150});
        }
        cols.push({field: 'create_time', title: '创建时间', width: 180});
        cols.push({field: 'create_user_text', title: '创建人', width: 100});
        cols.push({field: 'status_text', title: '审核状态', width: 150});
        cols.push({field: 'check_time', title: '审核时间', width: 180});
        cols.push({field: 'check_user_text', title: '审核人', width: 150});
        cols.push({field: 'notes', title: '备注', minWidth: 200});
        cols.push({width: 170, align: 'left', fixed: 'right', toolbar: '#datagrid-operate-bar'});
        table.render({
            elem: '#datagrid'
            , url: '/material/deliver/data/?type=1'
            , cols: [cols]
            , page: true
            , height: 'full-104'
            ,totalRow:true
              ,parseData:function(res) {
                var cols = this.cols[0];
                for (var i in cols) {
                    if (cols[i].field == 'total_count') {
                        cols[i].totalRowText = res.more.total_count;
                    }
                    if (cols[i].field == 'total_cost') {
                        cols[i].totalRowText = res.more.total_cost;
                    }
                }
                return {
                  "code": res.code, //解析接口状态
                  "count": res.total, //解析数据长度
                  "data": res.data //解析数据列表
                };
            }
            , done: function () {
                layui.index.removeNoPermButtons();
            }
        });
        //监听工具条
        table.on('tool(datagrid-operate)', function (obj) {
            var data = obj.data;
            if (obj.event === 'del') {
                if (data.status === "1"){
                    layer.msg('出库单已审核，无法删除！');
                    return;
                }
                layer.confirm('确定要删除吗？', function (index) {
                    layer.close(index);
                    layui.admin.req({
                        url: '/material/deliver/delete/?id=' + data.id
                        , done: function (res) {
                            table.reload('datagrid', {});
                        }
                    });
                });
            } else if (obj.event === 'edit') {
                table.editdata = data;
                if (data.status === "1"){
                    layer.msg('出库单已审核，无法修改！');
                    return;
                }
                layer.open({
                    type: 2,
                    title: '修改',
                    shadeClose: false,
                    area: ['90%', '90%'],
                    btn: ['保存', '取消'],
                    yes: function (index, dom) {
                        layui.onSubmitChild = function (data) {
                        layer.close(index);
                        table.reload('datagrid', {});
                    };
                    layui.submitChild();
                    },
                    btn2: function (index, layero) {
                        layer.close(index);//关闭当前按钮
                    },
                    content: 'deliver_consumable_edit.html?id=' + data.id
                });
            }else if(obj.event === 'check'){
                layer.confirm('确定要审核吗？', function(index){

                    layer.close(index);
                    layui.admin.req({
                        url: '/material/deliver/check/?id='+data.id
                        ,done: function(res){
                            table.reload('datagrid',{});
                        }
                    });
                });
              }else if(obj.event === 'detail'){
                  table.editdata = data;
                layer.open({
                  type: 2,
                  title: '查看['+ data.no + ']',
                  shadeClose: true,
                  area: ['70%', '80%'],
                  content: 'deliver_consumable_detail.html?id='+data.id
                });
              }
        });
        $('#btn_export').on('click', function () {
            layui.admin.req({
                url: '/material/deliver/export/?type=1',
                data: _params,
                done: function (res) {
                    layui.view.download(res.data.filename);
                }
            });
        });
        $('#btn_export_detail').on('click', function () {
            var data = utils.getSelectedRow('datagrid');
            if (data == false) {
                return;
            }
            layui.admin.req({
                url: '/material/deliver/export/?type=1&id='+data.id,
                data: _params,
                done: function (res) {
                    layui.view.download(res.data.filename);
                }
            });
        });
        $('#btn_add').on('click', function () {
            layer.open({
                type: 2,
                title: '添加出库',
                area: ['90%', '90%'],
                btn: ['保存', '取消'],
                yes: function (index, dom) {
                    layui.onSubmitChild = function (data) {
                        layer.close(index);
                        table.reload('datagrid', {});
                    };
                    layui.submitChild();
                },
                btn2: function (index, layero) {
                    layer.close(index);//关闭当前按钮
                },
                content: 'deliver_consumable_edit.html'
            });
        });
        $('#btn_query').on('click', function () {
            layer.open({
                type: 1,
                shadeClose: true,
                area: ['400px', '45%'],
                title: '查询',
                btn: ['查询'],
                yes: function (index, dom) {
                    $("#query-submit").click();
                },
                content: $('#dlg_query')
            });
        });
        form.on('submit(query-form-element)', function (data) {
            //layer.msg(JSON.stringify(data.field));
            _params = data.field;
            table.reload('datagrid', {
                where: data.field,
                page:{curr:1}
            });
            layer.closeAll();
            return false
        });

        $('#btn_print').on('click', function () {
            var data = utils.getSelectedRow('datagrid');
            if (data == false) {
                return;
            }
            layer.open({
                type: 2,
                title: '打印出库单',
                shadeClose: true,
                area: ['90%', '90%'],
                btn: ['打印', '取消'],
                yes: function (index, dom) {
                    layui.onSubmitChild = function(data){
                      layer.close(index);
                    };
                    layui.submitChild();
                },
                btn2: function (index, layero) {
                    layer.close(index);//关闭当前按钮
                },
                content: 'deliver_consumable_print.html?id=' + data.id
            });
        });
        $('#btn_print_use').on('click', function () {
            var data = utils.getSelectedRow('datagrid');
            if (data == false) {
                return;
            }
            layer.open({
                type: 2,
                title: '打印领用单',
                shadeClose: true,
                area: ['90%', '90%'],
                btn: ['打印', '取消'],
                yes: function (index, dom) {
                    layui.onSubmitChild = function(data){
                      layer.close(index);
                    };
                    layui.submitChild();
                },
                btn2: function (index, layero) {
                    layer.close(index);//关闭当前按钮
                },
                content: 'deliver_consumable_print_use.html?id=' + data.id
            });
        });
    })
</script>
</body>
</html>
